Skip to main content
GET
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
vasps
/
{vaspId}
TypeScript
const response: Promise<FireblocksResponse<TRLinkVaspDto>> = fireblocks.tRLink.getTRLinkVaspById(tRLinkApiGetTRLinkVaspByIdRequest);
{
  "id": "did:ethr:0x1234567890abcdef",
  "name": "ACME Virtual Assets",
  "legalName": "ACME Virtual Assets Corporation",
  "nationalIdentification": {
    "identifier": "123456789",
    "type": "LEI",
    "authority": "Financial Conduct Authority"
  },
  "geographicAddress": {
    "formattedAddress": "123 Main Street, New York, NY 10001, USA",
    "country": "USA",
    "streetName": "Main Street",
    "buildingNumber": "123",
    "city": "New York",
    "postalCode": "10001"
  },
  "publicKey": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA...\n-----END PUBLIC KEY-----"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

vaspId
string
required

VASP unique identifier (DID format)

Response

VASP retrieved successfully

id
string
required

VASP unique identifier (DID format)

Example:

"did:ethr:0x1234567890abcdef"

name
string
required

VASP display name

Example:

"ACME Virtual Assets"

Legal entity name

Example:

"ACME Virtual Assets Corporation"

nationalIdentification
object
geographicAddress
object
publicKey
string | null

VASP public key for encryption

Example:

"-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA...\n-----END PUBLIC KEY-----"